Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Class ReferenceChannelNameFinder

    java.lang.Object
      org.jasig.portal.groups.ReferenceChannelNameFinder

All Implemented Interfaces:
  IEntityNameFinder

    public class ReferenceChannelNameFinder

extends java.lang.Object
implements IEntityNameFinder

Reference implementation of `IEntityNameFinder` for `Channels`.

Version:
  $Revision: 1.7 $
Author:
  Alex Vigdor

Field Summary
`private static IEntityNameFinder` | `_instance`
`private static org.apache.commons.logging.Log` | `log`
`private java.lang.Class` | `type`

Constructor Summary
`protected` | `ReferenceChannelNameFinder()`

Method Summary
`java.lang.String` | `getName(java.lang.String key)` Given the key, returns the entity's name.
`java.util.Map` | `getNames(java.lang.String[] keys)` Given an array of keys, returns the names of the entities.
`java.lang.Class` | `getType()` Returns the entity type for this `IEntityFinder`.
`static IEntityNameFinder` | `singleton()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### _instance

    private static IEntityNameFinder _instance

### type

    private java.lang.Class type

Constructor Detail

### ReferenceChannelNameFinder

    protected ReferenceChannelNameFinder()

Method Detail

### singleton

    public static IEntityNameFinder singleton()

### getName

    public java.lang.String getName(java.lang.String key)
                             throws java.lang.Exception

  Given the key, returns the entity's name.

  Specified by:
    `getName` in interface `IEntityNameFinder`
  Parameters:
    `key` - java.lang.String
  Throws:
    `java.lang.Exception`

### getNames

    public java.util.Map getNames(java.lang.String[] keys)
                           throws java.lang.Exception

  Given an array of keys, returns the names of the entities.

  Specified by:
    `getNames` in interface `IEntityNameFinder`
  Parameters:
    `keys` - java.lang.String[]
  Throws:
    `java.lang.Exception`

### getType

    public java.lang.Class getType()

  Returns the entity type for this `IEntityFinder`.

  Specified by:
    `getType` in interface `IEntityNameFinder`
  Returns:
    java.lang.Class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD